#pragma once

#include "ofMain.h"
#include "ofxOsc.h"
#include "utils.h"

#define HOST "10.42.0.1" //this is the network address of the mad hatter
#define PORT 7777 //send messages to the mad hatter on this port

//--------------------------------------------------------
class ofApp : public ofBaseApp {

	public:

		void setup();
		void update();
		void draw();

		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y);
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void mouseEntered(int x, int y);
		void mouseExited(int x, int y);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);

    ofxOscReceiver receiver;
    vector <ofVec3f> points;
    ofVec3f singlePint;
    ofxOscMessage m;
};
